jQuery(document).ready(function($){

    $(document).on('click', '#electronics-retailer-welcome-notice .notice-dismiss', function(){

        $.ajax({
            type: 'POST',
            url: ajaxurl,
            data: {
                action: 'electronics_retailer_dismiss_notice'
            }
        });

    });

});